- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/organizationSecurityPolicies/getAssociation#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/organizationSecurityPolicies/getAssociation#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/organizationSecurityPolicies/getAssociation#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/organizationSecurityPolicies/getAssociation#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/organizationSecurityPolicies/getAssociation#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/organizationSecurityPolicies/getAssociation#body.Association.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/organizationSecurityPolicies/getAssociation#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/organizationSecurityPolicies/getAssociation#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/2026-09-01/organizationSecurityPolicies/getAssociation#try-it)

API Version : 2026-09-01
Gets an association with the specified name.

Use this API to read Cloud Armor policies. Previously, alpha and beta versions of this API were used to read firewall policies. This usage is now disabled for most organizations. Use firewallPolicies.getAssociation instead.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/locations/global/{securityPolicy=securityPolicies/*}/getAssociation?$apiVersion=2026-09-01`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `securityPolicy` | `string` Name of the security policy to which the queried rule belongs. |

### Query parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the association to get from the security policy. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "attachmentId": string, "excludedProjects": [ string ], "excludedFolders": [ string ], "securityPolicyId": string, "shortName": string, "displayName": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The name for an association. |
| `attachmentId` | `string` The resource that the security policy is attached to. |
| `excludedProjects[]` | `string` A list of projects to exclude from the security policy. |
| `excludedFolders[]` | `string` A list of folders to exclude from the security policy. |
| `securityPolicyId` | `string` Output only. The security policy ID of the association. |
| `shortName` | `string` Output only. The short name of the security policy of the association. |
| `displayName (deprecated)` | `string` > [!WARNING] > This item is deprecated! Output only. The display name of the security policy of the association. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.securityPolicies.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).